﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR62Xi: (1 yr) VER IEEE /9500/1100+1Hd,DMM
DATE:                  2011-11-28 09:28:49
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       271
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Source(s):
#        Chapter 5 - WRXi Performance Verification Rev D.pdf
#        Chapter 5 - WRXi Performance Verification Test Record rev D.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         600.1MH                      1Vpp           LS    S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  CALL         Sub LeCroy WS-GPIB Connection
  1.019  CALL         Sub LeCroy WS-GPIB Setup
  1.020  CALL         Sub LeCroy WS-GPIB Initialization

  1.021  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.022  MATH         L[2] = ZCMPI(@ModelNum, "WR62Xi")

  1.023  IF           NOT(L[1]) || NOT(L[2])
  1.024  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.024  DISP         not a LeCroy WR62Xi!
  1.025  END
  1.026  ENDIF

  1.027  CALL         Sub Datron 9500 Configuration Query IEEE

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  DISP         The following additional equipment and/or
  1.031  DISP         accessories are required:
  1.031  DISP
  1.031  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.031  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.032  ENDIF

# Set the system confidence level to 95%.
  1.033  MATH         @SysConf = 2
  1.034  MATH         @DevName = "Datron 9500"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.035  MATH         @SourceMultiCh = 0
  1.036  CALL         Sub LeCroy WRXi Set BW & Number of Channels

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    5.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    6.   LEAKAGE CURRENT(CH2)               EXTERNAL TRIGGER LEAKAGE CURRENT
#    7.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#    8.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#    9.   PEAK-PEAK NOISE LEVEL(CH2)         DC GAIN ACC(CH1)
#   10.   DC GAIN ACC(CH1)                   OFFSET ACC(CH1)
#   11.   DC GAIN ACC(CH2)                   BANDWIDTH(CH1))
#   12.   OFFSET ACC(CH1)                    TRIGGER LEVEL(CH1)
#   13.   OFFSET ACC(CH2)                    TIME BASE
#   14.   BANDWIDTH(CH1)                     CHANNEL INPUT IMPEDANCE(CH2)
#   15.   BANDWIDTH(CH2)                     DC GAIN ACC(CH2
#   16.   TRIGGER LEVEL(CH1)                 OFFSET ACC(CH2)
#   17.   TRIGGER LEVEL(CH2)                 BANDWIDTH(CH2)
#   18.   TIME BASE                          TRIGGER LEVEL(CH2)

  1.037  CALL         Sub LeCroy WRXi Self-Test IEEE
  1.038  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.039  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.040  MATH         @Chan = 1
  1.041  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.042  JMPL         DC_GAIN_ACC_CH1

  1.043  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.044  MATH         @Chan = 2
  1.045  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.046  JMPL         DC_GAIN_ACC_CH2

  1.047  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.048  MATH         @Chan = 5
  1.049  CALL         Sub LeCroy WRXi (1 yr) Ext Input Impedance IEEE /9500
  1.050  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.051  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM

  1.054  MATH         @Chan = 2
  1.055  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM

  1.056  MATH         @Chan = 5
  1.057  CALL         Sub LeCroy WRXi (1 yr) Ext Leakage Current IEEE /DMM
  1.058  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.059  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE

  1.062  MATH         @Chan = 2
  1.063  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.064  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.065  LABEL        DC_GAIN_ACC_CH1
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.068  JMPL         OFFSET_ACC_CH1

  1.069  LABEL        DC_GAIN_ACC_CH2
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.072  JMPL         OFFSET_ACC_CH2

  1.073  LABEL        OFFSET_ACC_CH1
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.076  JMPL         BANDWIDTH_CH1

  1.077  LABEL        OFFSET_ACC_CH2
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.080  JMPL         BANDWIDTH_CH2

  1.081  LABEL        BANDWIDTH_CH1
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100
  1.084  JMPL         TRIGGER_LEVEL_CH1

  1.085  LABEL        BANDWIDTH_CH2
  1.086  MATH         @Chan = 2
  1.087  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100
  1.088  JMPL         TRIGGER_LEVEL_CH2

  1.089  LABEL        TRIGGER_LEVEL_CH1
  1.090  MATH         @Chan = 1
  1.091  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.092  JMPL         TIME_BASE

  1.093  LABEL        TRIGGER_LEVEL_CH2
  1.094  MATH         @Chan = 2
  1.095  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.096  JMPL         END

  1.097  LABEL        TIME_BASE
  1.098  MATH         @Chan = 1
  1.099  CALL         Sub LeCroy WRXi (1 yr) Time Base Acc IEEE /9500
  1.100  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.101  LABEL        END
  1.102  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.103  END